Subject: Re: About the proposed charter and global HAHA (was Re: [nemo] RE: About route aggregation in global HAHA

From: marcelo bagnulo braun <[email-masked]>
Date: Tue, 25 Apr 2006 12:43:53 +0300

El 25/04/2006, a las 11:12, Pascal Thubert (pthubert) escribió:

> Thanks for the explanation Marcelo. Now I see what you have in mind. 
> This approach is interesting; I guess it takes a mix of MONAMI6 and 
> SHIM6 to get the result done.
>

yes

> IMHO, though, It looks fairly complex and remote, compared to the use 
> of existing routing protocols proposed in the global HAHA approach.
>

well, otoh, if any of the home networks is multihomed, then you need 
shim6 in anycase to support multihoming features and so this comes "for 
free"

with respect to timeline, i am not sure but i wouldn't expect 
commercial airlines to start providing IPv6 connectivity in the short 
term, so i would argue that the timeline of this solution is compatible 
with the times of the provision of v6 services in commercial flights... 
(i guess involved people can correct me if i am wrong)

> Note that:
>
> - the NEMO assumption is to have the MR handle the mobility on behalf 
> of LFNs which are unaware of the mobility. We want a simple operation 
> for simple Mobile Network Nodes.

right, but this wouldn't result in exposing mobility to the nodes, 
since only the set of stable home address is exposed to the MNN. So, 
actual this preserves the mobility transparent to the MNN. No problem 
here AFAICT

>
> - You are not solving the MIP6 Home Link issue, you are bypassing it. 
> Global HAHA gets rid of the ND operations on the Home Link, therefore 
> it removes the associated issues, replacing that mechanism by 
> traditional routing protocol operations.
>

agree this is not a substitute for local HAHA, just for global HAHA

> I'd say that before we assemble complex things that we do not have, we 
> could start thinking of using what we mostly have and have been 
> discussing for some time already.

i would say that the relevant parameter is when is the expect time to 
deploy this... when are we expecting to have v6 services in commercial 
flights?

As i said, perhaps the shim6 approach is not really appropriate for 
this scenario, but the way we can determine that is if we understand 
the requirements of this use case

BEsides, note that shim6 approach could also be used as a RO mechanisms 
(if a topologically meaningful CoA is provided to the nodes) and it 
also is needed for providing multihoming support in multihomed nemos

regards, marcelo

>
> Pascal
>
>> -----Original Message-----
>> From: marcelo bagnulo braun [mailto:[email-masked]]
>> Sent: Tuesday, April 25, 2006 9:16 AM
>> To: Pascal Thubert (pthubert)
>> Cc: Alexandru Petrescu; [email-masked]; Vijay Devarapalli
>> Subject: Re: About the proposed charter and global HAHA (was Re: 
>> [nemo] RE: About route aggregation
>> in global HAHA
>>
>> Hi Pascal,
>>
>> El 25/04/2006, a las 10:04, Pascal Thubert (pthubert) escribió:
>>
>>> Marcelo, Alexandru:
>>>
>>> I fail to understand this. Are you saying that SHIM6 can help resolve
>>> the case where the MIP6/NEMO Home Link goes down?
>>>
>>
>> when the HA are distributed among different sites, yes, and in a bgp
>> routing table friendly manner
>>
>> i mean, suppose that you have multiple HAs located in different sites
>> and that each HA has a different PA home prefix assigned. then each
>> nemo has multiple home prefixes and each MNN has multiple addresses 
>> one
>> per available home prefix
>>
>> then you can use the shim6 to move from one home prefix to another, in
>> case that there is a failure in one of the HAs
>>
>> that is exactly what the shim6 protocol has been designed to do
>>
>> Again, maybe the global moving networks have some additional
>> requirements that don't fit in this approach, that is why i have been
>> asking for a requirement specification, in order to find out which
>> solution is  acceptable
>>
>> Regards, marcelo
>>
>>
>>> Pascal
>>>
>>>> -----Original Message-----
>>>> From: marcelo bagnulo braun [mailto:[email-masked]]
>>>> Sent: Monday, April 24, 2006 2:41 PM
>>>> To: Alexandru Petrescu
>>>> Cc: Pascal Thubert (pthubert); Vijay Devarapalli; [email-masked]
>>>> Subject: Re: About the proposed charter and global HAHA (was Re:
>>>> [nemo] RE: About route aggregation
>>>> in global HAHA
>>>>
>>>> Hi Alex,
>>>>
>>>> El 21/04/2006, a las 15:26, Alexandru Petrescu escribió:
>>>>
>>>>> Pascal Thubert (pthubert) wrote:
>>>>>> One of the motivations is to get rid of the issues associated with
>>>>>> the Home Link (single site, single point of failure)
>>>>>
>>>>> Address "single site - single point of failure"????
>>>>>
>>>>> I could understand addressing single HA - single point of failure 
>>>>> (in
>>>>> which case multiple HAs can co-exist on the home link), but "single
>>>>> site
>>>>> - single point of failure" can't be addressed by any protocol, 
>>>>> should
>>>>> better be addressed by some administrative organizations.  Or by
>>>>> shim6.
>>>>>
>>>>
>>>> agree that shim6 could be used to provide some support for this
>>>>
>>>>>
>>>>>> and enable distributing Home and L3.
>>>>>
>>>>> I am afraid the network is made in such a way that IP addresses 
>>>>> can't
>>>>> be
>>>>> distributed.  Have you looked at shim6?
>>>>>
>>>>
>>>> same thing
>>>>
>>>>>> RO comes when we introduce the satellites and route projection,
>>>>>> which
>>>>>> is another aspect of the draft.
>>>>>
>>>>> The draft seems to have too many aspects it tries to deal with.
>>>>>
>>>>
>>>> probably you could even do some shim6 based RO also...
>>>>
>>>>
>>>> that is one of the reasons why i am asking about the requirements 
>>>> and
>>>> the use cases that we want to address...
>>>>
>>>> first we need to define the problem that we want to work on and then
>>>> move to solution space...
>>>>
>>>> regards, marcelo
>>>>
>>>>
>>>>> Alex
>>>>>
>>>
>

---

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Tue, 25 Apr 2006 10:12:53 +0200

Thanks for the explanation Marcelo. Now I see what you have in mind. This approach is interesting; I guess it takes a mix of MONAMI6 and SHIM6 to get the result done.

IMHO, though, It looks fairly complex and remote, compared to the use of existing routing protocols proposed in the global HAHA approach.

Note that:

- the NEMO assumption is to have the MR handle the mobility on behalf of LFNs which are unaware of the mobility. We want a simple operation for simple Mobile Network Nodes.

- You are not solving the MIP6 Home Link issue, you are bypassing it. Global HAHA gets rid of the ND operations on the Home Link, therefore it removes the associated issues, replacing that mechanism by traditional routing protocol operations.

I'd say that before we assemble complex things that we do not have, we could start thinking of using what we mostly have and have been discussing for some time already.

Pascal

>Subject: Re: About the proposed charter and global HAHA (was Re: [nemo] RE: About route aggregation
>in global HAHA
>
>Hi Pascal,
>
>nemo has multiple home prefixes and each MNN has multiple addresses one
>>>> I could understand addressing single HA - single point of failure (in
>>>> - single point of failure" can't be addressed by any protocol, should
>>>> I am afraid the network is made in such a way that IP addresses can't
>>>> be
>>> that is one of the reasons why i am asking about the requirements and

---

From: Ryuji Wakikawa <[email-masked]>
Date: Sat, 29 Apr 2006 04:20:00 +0900

On 2006/04/25, at 18:43, marcelo bagnulo braun wrote:

>> Thanks for the explanation Marcelo. Now I see what you have in  
>> mind. This approach is interesting; I guess it takes a mix of  
>> MONAMI6 and SHIM6 to get the result done.
>>
>
> yes

it may be interesting, but you should first write a draft.

>> IMHO, though, It looks fairly complex and remote, compared to the  
>> use of existing routing protocols proposed in the global HAHA  
>> approach.
>>
>
> well, otoh, if any of the home networks is multihomed, then you  
> need shim6 in anycase to support multihoming features and so this  
> comes "for free"
>
> commercial airlines to start providing IPv6 connectivity in the  
> short term, so i would argue that the timeline of this solution is  
> compatible with the times of the provision of v6 services in  
> commercial flights... (i guess involved people can correct me if i  
> am wrong)

HAHA is transparent to end nodes. I believe this is good feature of  
HAHA,since modifying end nodes are burden.
For getting RO, all the node must support SHIM6? This is somehow  
difficult requirement.

>> Note that:
>>
>> - the NEMO assumption is to have the MR handle the mobility on  
>> behalf of LFNs which are unaware of the mobility. We want a simple  
>> operation for simple Mobile Network Nodes.
>
> since only the set of stable home address is exposed to the MNN.  
> So, actual this preserves the mobility transparent to the MNN. No  
> problem here AFAICT

I don't think all multihomed node will support SHIM6. There is  
another mechanism discussing in Monami6.

ryuji

>>
>> - You are not solving the MIP6 Home Link issue, you are bypassing  
>> it. Global HAHA gets rid of the ND operations on the Home Link,  
>> therefore it removes the associated issues, replacing that  
>> mechanism by traditional routing protocol operations.
>>
>
>> I'd say that before we assemble complex things that we do not  
>> have, we could start thinking of using what we mostly have and  
>> have been discussing for some time already.
>
> i would say that the relevant parameter is when is the expect time  
> to deploy this... when are we expecting to have v6 services in  
> commercial flights?
>
> this scenario, but the way we can determine that is if we  
> understand the requirements of this use case
>
> BEsides, note that shim6 approach could also be used as a RO  
> mechanisms (if a topologically meaningful CoA is provided to the  
> nodes) and it also is needed for providing multihoming support in  
> multihomed nemos
>
>
> regards, marcelo
>
>
>>
>> Pascal
>>

---

From: marcelo bagnulo braun <[email-masked]>
Date: Sat, 29 Apr 2006 20:45:25 +0300

Hi Ryuji,

> it may be interesting, but you should first write a draft.

sure, but we are still in the draft discussion phase, no specific RO 
solutions were being considered by the wg so far AFAICT

>> shim6 in anycase to support multihoming features and so this comes 
>> "for free"
>>
>> term, so i would argue that the timeline of this solution is 
>> commercial flights... (i guess involved people can correct me if i am 
>> wrong)
>

This is indeed a difficulty for deployment. But again there are several 
issues to consider, in particular, the requirements of the solution 
(without them we cannot properly evaluate what solution fits better the 
problem), the deployment time frames that we are habdling and other 
tradeoff between benefits and costs (including contribution to the 
global routing tables and deployment issues that you mention and so on)

Again, we first need to determine what are the requierements for a 
solution, withotu them we cannot possibly tell which solution is better

> I don't think all multihomed node will support SHIM6. There is another 
> mechanism discussing in Monami6.
>

not for multiple HoAs

MONAMI is only scoped to deal with multiple CoAs. That does not provide 
support for multiple home networks with different prefixes.

regards, marcelo

>>> therefore it removes the associated issues, replacing that mechanism 
>>> by traditional routing protocol operations.
>>>
>>
>>> I'd say that before we assemble complex things that we do not have, 
>>> we could start thinking of using what we mostly have and have been 
>> deploy this... when are we expecting to have v6 services in 
>> commercial flights?
>>